Get top citation pages
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/citations/top-pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/citations/top-pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/citations/top-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pages": [
{
"url": "<string>",
"domain": "<string>",
"title": "<string>",
"classification": "<string>",
"sourceVertical": "<string>",
"contentType": "<string>",
"count": 1,
"avgPosition": 1,
"top3Count": 1
}
],
"pagination": {
"pageSize": 50,
"cursor": "<string>",
"nextCursor": "<string>",
"hasMore": true
},
"window": {
"days": 123,
"dateFrom": "2023-12-25",
"dateTo": "2023-12-25"
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Get top citation pages
Returns top citation pages for a fixed 30 or 90 day window.
GET
/
projects
/
{projectId}
/
citations
/
top-pages
Get top citation pages
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Query Parameters
Fixed rolling window in days. Supported values are 30 and 90. Defaults to 30.
Available options:
30, 90 Opaque cursor from the previous response.
Results per page. Capped at 100.
Required range:
1 <= x <= 100Optional prefix search within citation URLs and canonical domains.
⌘I